public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Viorel Munteanu" <ceamac@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-mypy-plugins/
Date: Tue, 29 Aug 2023 05:39:26 +0000 (UTC)	[thread overview]
Message-ID: <1693240675.4dbb66af6ffaa90f79243fe247b4318d9d88de23.ceamac@gentoo> (raw)

commit:     4dbb66af6ffaa90f79243fe247b4318d9d88de23
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Mon Aug 28 16:37:27 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Mon Aug 28 16:37:55 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4dbb66af

dev-python/pytest-mypy-plugins: add 3.0.0

Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 dev-python/pytest-mypy-plugins/Manifest            |  1 +
 .../pytest-mypy-plugins-3.0.0.ebuild               | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/pytest-mypy-plugins/Manifest b/dev-python/pytest-mypy-plugins/Manifest
index 3a84cf3d79..97df09184c 100644
--- a/dev-python/pytest-mypy-plugins/Manifest
+++ b/dev-python/pytest-mypy-plugins/Manifest
@@ -1 +1,2 @@
 DIST pytest-mypy-plugins-2.0.0.gh.tar.gz 18444 BLAKE2B a9def96003d85d76984067194abdbb5259379c09d359be6a3de7d4a68df2f8c7ebd033632c645297062564943b6cdee885c793172338b52110590be6911f6a75 SHA512 743d88884e3eef03cb52ffde82e42522ea961db6a27be3cba17aadceb47e1456ffd20806559dd7a6b183536aba98e592e97e40911199c4defbe66bfceebbf229
+DIST pytest-mypy-plugins-3.0.0.gh.tar.gz 20643 BLAKE2B e9b124b23f0e606b8d6f098c5834f8b70b44a6d7f374b0d4132c1fc47429a7a72a98ac96edd61a21969d4bc46a27c49cda35a9e0f71ed93361e0346debe643af SHA512 a2c35b4b57cf8eff6ac303a7394f798e3b96359c1e0e6424d57f0c5680cf00b6e84b7a11bb138c4ab3c7464f13ad0fd6358e9f2c5957b36eec1d2835e31edcd7

diff --git a/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild
new file mode 100644
index 0000000000..4dea09aa89
--- /dev/null
+++ b/dev-python/pytest-mypy-plugins/pytest-mypy-plugins-3.0.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_11 )
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin for testing mypy types, stubs, plugins"
+HOMEPAGE="
+	https://pypi.org/project/pytest-mypy-plugins/
+	https://github.com/typeddjango/pytest-mypy-plugins/
+"
+
+SRC_URI="https://github.com/typeddjango/pytest-mypy-plugins/archive/refs/tags/${PV}.tar.gz
+	-> ${P}.gh.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DOCS="README* CHANGELOG*"
+
+RDEPEND="
+	>=dev-python/mypy-1.3.0[${PYTHON_USEDEP}]
+	>=dev-python/pytest-7.0.0[${PYTHON_USEDEP}]
+	>=dev-python/tomlkit-0.11[${PYTHON_USEDEP}]
+	dev-python/decorator[${PYTHON_USEDEP}]
+	dev-python/jinja[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/regex[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+	# Calling pytest directly causes module not to be imported correctly
+	sed "s/\"pytest\"/\"${EPYTHON}\", \"-m\", \"pytest\"/" \
+		-i pytest_mypy_plugins/tests/test_explicit_configs.py || die
+	distutils-r1_python_test
+}


             reply	other threads:[~2023-08-29  5:39 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-29  5:39 Viorel Munteanu [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-02  7:10 [gentoo-commits] repo/proj/guru:master commit in: dev-python/pytest-mypy-plugins/ Arthur Zamarin
2024-02-25  2:27 Julien Roy
2024-02-25  2:27 Julien Roy
2023-07-01 18:15 Haelwenn Monnier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1693240675.4dbb66af6ffaa90f79243fe247b4318d9d88de23.ceamac@gentoo \
    --to=ceamac@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox